Subject: Questions on GMPLS ASON OSPF-TE ID

From: "Bardalai, Snigdho" <[email-masked]>
Date: Mon, 6 Nov 2006 17:00:09 -0600

Hi Dimitri,
 
As mentioned in today's meeting I have the following questions on this
ID:
 
1. The Addressing Draft requires that the TERouterID to be an addressable IP
    address i.e. one can ping this address.
 
    The ID needs to clearly state what is the requirement for ASON.
 
2. Upward / downward LSA transformation
 
    When LSAs are exported from one level to another then these LSAs need to be
    transformed. The ID does not clearly specify how the transformation takes place.
 
    The specific scenarios are:
    + Upward LSA transformation - what values are used for the adv Router ID, Router Address
       and LINK ID ?
    + Downward LSA transformation - what values are used (for above mentioned fields) ?
 
3. TE Links LSAs
 
    From reading the ID I can infer that every TE link advertised at a particular level
    needs to be a link between 2 routers i.e. Router ID, because the LINK ID MUST
    be set to the neighboring router's Router ID as per RFC 3630.
 
    In that case when there is only one router for a set of TE nodes then how will
    the TE link LSAs look like when they get advertised by that single router. Or is it
    expected that these TE link LSAs never get advertised by that single router
    (i.e. all TE nodes must get represented as an abstract node) ?
 
4. Upward / downward discovery and selection
 
   The ID describes a procedure by which routers can automatically discover and select
   the upward and downward speaker router.
 
   It is quite clear that when the current speaker sees a router with a router ID larger than
   its own and the U or D bit set it will stop importing or exporting LSAs. 
 
   What is not clear is that how does the router with the highest router ID know when to
   start importing or exporting LSAs, because it has no knowledge which is the current
   speaker and there is no clear way to figure out when it has stopped importing or exporting
   LSAs.
 
   Could you please explain how this works ?
 
Thanks,
Snigdho

---

From: dimitri papadimitriou <[email-masked]>
Date: Tue, 07 Nov 2006 01:12:07 +0100

hi - see inline

>     The ID needs to clearly state what is the requirement for ASON.

isn't section 5.1 clear enough concerning this TE Router ID usage ?

note that ASON does not list requirements on TE Router ID itself (since 
implementation independent)

>     + Upward LSA transformation - what values are used for the adv Router ID, Router Address

see below

>     + Downward LSA transformation - what values are used (for above mentioned fields) ?

only case where there is any information processing is in case of 
reachability such as to aggregate information

for the rest everything there is no processing of the opaque LSA 
information -

concerning the adv.router_id i will add a statement in next revision 
(without any surprise here)

>     be set to the neighboring router's Router ID as per RFC 3630.

yes - there is no need to change anything from that perspective

>     (i.e. all TE nodes must get represented as an abstract node) ?

ok i see ... there is no advertizement of internal structure of abstract 
nodes otherwise make use of the logical link case - see RFC 4652

>    Could you please explain how this works ?

hysteresis mechanisms is expained in section 6.2.1 prevents from 
disturbing the routing information dissemination process once selection 
has been performed - so the condition you are describing does not occur
if import/export is already in place

hope this clarifies
- d.